picard.analysis

## Class CollectRnaSeqMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.SinglePassSamProgram
    - - picard.analysis.CollectRnaSeqMetrics

-     public class CollectRnaSeqMetrics
      extends SinglePassSamProgram

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `CHART_OUTPUT`
    `Set<String>` | `IGNORE_SEQUENCE`
    `Set<MetricAccumulationLevel>` | `METRIC_ACCUMULATION_LEVEL`
    `int` | `MINIMUM_LENGTH`
    `File` | `REF_FLAT`
    `File` | `RIBOSOMAL_INTERVALS`
    `double` | `RRNA_FRAGMENT_PERCENTAGE`
    `RnaSeqMetricsCollector.StrandSpecificity` | `STRAND_SPECIFICITY`

    - ### Fields inherited from class picard.analysis.SinglePassSamProgram

      `ASSUME_SORTED, INPUT, OUTPUT, STOP_AFTER`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectRnaSeqMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `acceptRead(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence refSeq)` Should be implemented by subclasses to accept SAMRecords one at a time.
    `protected void` | `finish()` Should be implemented by subclasses to do one-time finalization work.
    `static void` | `main(String[] argv)` Required main method implementation.
    `protected void` | `setup(htsjdk.samtools.SAMFileHeader header, File samFile)` Should be implemented by subclasses to do one-time initialization work.

    - ### Methods inherited from class picard.analysis.SinglePassSamProgram

      `doWork, makeItSo, usesNoRefReads`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REF_FLAT

          @Option(doc="Gene annotations in refFlat form.  Format described here: http://genome.ucsc.edu/goldenPath/gbdDescriptionsOld.html#RefFlat")
          public File REF_FLAT

    - #### RIBOSOMAL_INTERVALS

          @Option(doc="Location of rRNA sequences in genome, in interval_list format.  If not specified no bases will be identified as being ribosomal.  Format described <a href=\"http://samtools.github.io/htsjdk/javadoc/htsjdk/htsjdk/samtools/util/IntervalList.html\">here</a>:",
                  optional=true)
          public File RIBOSOMAL_INTERVALS

    - #### STRAND_SPECIFICITY

          @Option(shortName="STRAND",
                  doc="For strand-specific library prep. For unpaired reads, use FIRST_READ_TRANSCRIPTION_STRAND if the reads are expected to be on the transcription strand.")
          public RnaSeqMetricsCollector.StrandSpecificity STRAND_SPECIFICITY

    - #### MINIMUM_LENGTH

          @Option(doc="When calculating coverage based values (e.g. CV of coverage) only use transcripts of this length or greater.")
          public int MINIMUM_LENGTH

    - #### CHART_OUTPUT

          @Option(doc="The PDF file to write out a plot of normalized position vs. coverage.",
                  shortName="CHART",
                  optional=true)
          public File CHART_OUTPUT

    - #### IGNORE_SEQUENCE

          @Option(doc="If a read maps to a sequence specified with this option, all the bases in the read are counted as ignored bases.  These reads are not counted as ")
          public Set<String> IGNORE_SEQUENCE

    - #### RRNA_FRAGMENT_PERCENTAGE

          @Option(doc="This percentage of the length of a fragment must overlap one of the ribosomal intervals for a read or read pair to be considered rRNA.")
          public double RRNA_FRAGMENT_PERCENTAGE

    - #### METRIC_ACCUMULATION_LEVEL

          @Option(shortName="LEVEL",
                  doc="The level(s) at which to accumulate metrics.  ")
          public Set<MetricAccumulationLevel> METRIC_ACCUMULATION_LEVEL

  - ### Constructor Detail

    - #### CollectRnaSeqMetrics

          public CollectRnaSeqMetrics()

  - ### Method Detail

    - #### main

          public static void main(String[] argv)

      Required main method implementation.

    - #### setup

          protected void setup(htsjdk.samtools.SAMFileHeader header,
                               File samFile)

      Description copied from class: `SinglePassSamProgram`
      Should be implemented by subclasses to do one-time initialization work.
      Specified by:
        `setup` in class `SinglePassSamProgram`

    - #### acceptRead

          protected void acceptRead(htsjdk.samtools.SAMRecord rec,
                                    htsjdk.samtools.reference.ReferenceSequence refSeq)

      Description copied from class: `SinglePassSamProgram`
      Should be implemented by subclasses to accept SAMRecords one at a time. If the read has a reference sequence and a reference sequence file was supplied to the program it will be passed as 'ref'. Otherwise 'ref' may be null.
      Specified by:
        `acceptRead` in class `SinglePassSamProgram`

    - #### finish

          protected void finish()

      Description copied from class: `SinglePassSamProgram`
      Should be implemented by subclasses to do one-time finalization work.
      Specified by:
        `finish` in class `SinglePassSamProgram`